Skip to main content
PUT
/
invoices
/
render-settings
/
{id}
Update an Invoice Render Settings
curl --request PUT \
  --url https://eu.sequencehq.com/api/invoices/render-settings/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "paymentLinkDisplay": "SHOW_PAYMENT_LINK"
}
'
import requests

url = "https://eu.sequencehq.com/api/invoices/render-settings/{id}"

payload = { "paymentLinkDisplay": "SHOW_PAYMENT_LINK" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({paymentLinkDisplay: 'SHOW_PAYMENT_LINK'})
};

fetch('https://eu.sequencehq.com/api/invoices/render-settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "385f41ab-51f9-49c2-8f25-358545106b88",
  "paymentLinkDisplay": "SHOW_PAYMENT_LINK"
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Invoice settings ID

Body

application/json

Payment link display preference. By default, the payment link is shown.

Available options:
SHOW_PAYMENT_LINK,
HIDE_PAYMENT_LINK
Example:

"HIDE_PAYMENT_LINK"

Response

OK

id
string
required

Invoice settings ID

Example:

"385f41ab-51f9-49c2-8f25-358545106b88"

Payment link display preference. By default, the payment link is shown.

Available options:
SHOW_PAYMENT_LINK,
HIDE_PAYMENT_LINK
Example:

"HIDE_PAYMENT_LINK"